This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 42191 - sdb deadlocks all the time while XS debugs XS
Summary: sdb deadlocks all the time while XS debugs XS
Status: VERIFIED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: 4.5.X
Hardware: PC Mac OS
: High normal
Target Milestone: 4.6.0 (C8)
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2016-06-27 14:09 UTC by Alan McGovern
Modified: 2016-07-28 08:17 UTC (History)
4 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Alan McGovern 2016-06-27 14:09:23 UTC
Mono JIT compiler version 4.5.1 (mono-4.5.1-branch/3581d0d Wed Jun 22 10:59:32 EDT 2016)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
	TLS:           normal
	SIGSEGV:       altstack
	Notification:  kqueue
	Architecture:  x86
	Disabled:      none
	Misc:          softdebug 
	LLVM:          yes(3.6.0svn-mono-master/a173357)
	GC:            sgen

I'm using a mono 4.5.1 preview release and I find that if i debug XS inside XS the debugee hangs frequently when stepping over/into methods.

Example output from lldb while trying to step and the process has hung: https://gist.github.com/alanmcgovern/656e8310b502645b789d64fcc9a956c8
Comment 1 Alan McGovern 2016-06-30 14:03:28 UTC
Here's a second lldb trace:
https://gist.github.com/alanmcgovern/257e27d09ad2fc21083b36ca75e23540
Comment 2 Alan McGovern 2016-06-30 14:04:21 UTC
The second trace is a deadlock on startup before i even try to do any single stepping. XS doesn't even have time to open it's main screen when this deadlock occurs.
Comment 3 Zoltan Varga 2016-06-30 21:48:00 UTC
Should be fixed by mono master 44fed99f094d4b87ff898b9ada186514e9b47c14/4.5.1 branch 00bb13f6a549bafe98d1c1bdac4ed01e23e33952.
Comment 4 Alan McGovern 2016-07-01 15:49:49 UTC
I can confirm it's fixed with tip of 4.5.1. No more deadlocks starting XS with SDB attached! Thanks!

Note You need to log in before you can comment on or make changes to this bug.